# Core


object Core

## Functions

| 名称 | 概要 |
|---|---|
| fetchJwksJson | fun fetchJwksJson(jwksUri: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), completion: [HttpCompletion](../../io.logto.sdk.core.http/-http-completion/index.md)&lt;[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)&gt;) |
| fetchOidcConfig | fun fetchOidcConfig(endpoint: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), completion: [HttpCompletion](../../io.logto.sdk.core.http/-http-completion/index.md)&lt;[OidcConfigResponse](../../io.logto.sdk.core.type/-oidc-config-response/index.md)&gt;) |
| fetchTokenByAuthorizationCode | fun fetchTokenByAuthorizationCode(tokenEndpoint: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), clientId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), redirectUri: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), codeVerifier: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), code: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), resource: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)?, completion: [HttpCompletion](../../io.logto.sdk.core.http/-http-completion/index.md)&lt;[CodeTokenResponse](../../io.logto.sdk.core.type/-code-token-response/index.md)&gt;) |
| fetchTokenByRefreshToken | fun fetchTokenByRefreshToken(tokenEndpoint: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), clientId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), refreshToken: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), resource: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)?, scopes: [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)&gt;?, completion: [HttpCompletion](../../io.logto.sdk.core.http/-http-completion/index.md)&lt;[RefreshTokenTokenResponse](../../io.logto.sdk.core.type/-refresh-token-token-response/index.md)&gt;) |
| fetchUserInfo | fun fetchUserInfo(userInfoEndpoint: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), accessToken: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), completion: [HttpCompletion](../../io.logto.sdk.core.http/-http-completion/index.md)&lt;[UserInfoResponse](../../io.logto.sdk.core.type/-user-info-response/index.md)&gt;) |
| generateSignInUri | fun generateSignInUri(authorizationEndpoint: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), clientId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), redirectUri: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), codeChallenge: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), state: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), scopes: [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)&gt;?, resources: [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)&gt;?): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| generateSignOutUri | fun generateSignOutUri(endSessionEndpoint: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), idToken: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), postLogoutRedirectUri: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)? = null): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| revoke | fun revoke(revocationEndpoint: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), clientId: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), token: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html), completion: [HttpEmptyCompletion](../../io.logto.sdk.core.http/-http-empty-completion/index.md)) |
